using Gremlin.GremlinData.DBClasses;
using Gremlin.GremlinData.EntityClasses;
using System.Linq;

namespace Gremlin.Models
{
    internal class RegisteredUserModel
    {
        private static readonly GremlinContext gremlinContext = new();

        internal static bool CheckLogin(string userName, string password)
        {
            uint registeredUserID = GetRegisteredUserID(userName);
            RegisteredUser registeredUser = gremlinContext.RegisteredUser.Where(rU => rU.RegisteredUserID == registeredUserID).First();
            return registeredUser != null && registeredUser.PasswordHash == password;
        }

        private static uint GetRegisteredUserID(string userName)
        {
            uint registeredUserID = gremlinContext.RegisteredUser.Where(rU => rU.UserName == userName).First().RegisteredUserID;
            Properties.Settings.Default.userSettingID = registeredUserID;
            return registeredUserID;
        }
    }
}
